## kmbox 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KMbox)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.12.0")
set(KMBOX_LIB_VERSION "4.79.0")
set(KMIME_LIB_VERSION "4.79.0")

ecm_setup_version(${KMBOX_LIB_VERSION} VARIABLE_PREFIX KMBOX
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Mbox")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MboxConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MboxTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MboxTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(kmbox_SRCS
    mboxentry.cpp
    mbox_p.cpp
    mbox.cpp
)

ecm_qt_declare_logging_category(kmbox_SRCS HEADER kmbox_debug.h IDENTIFIER KMBOX_LOG CATEGORY_NAME log_kmbox)

add_library(KF5Mbox ${kmbox_SRCS})

generate_export_header(KF5Mbox BASE_NAME kmbox)

add_library(KF5::Mbox ALIAS KF5Mbox)

target_include_directories(KF5Mbox INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox>")
target_include_directories(KF5Mbox PUBLIC "$<BUILD_INTERFACE:${KMbox_SOURCE_DIR}/src;${KMbox_BINARY_DIR}/src>")

target_link_libraries(KF5Mbox
   PUBLIC
    KF5::Mime 
)

set_target_properties(KF5Mbox PROPERTIES
    VERSION ${KMBOX_VERSION_STRING}
    SOVERSION ${KMBOX_SOVERSION}
    EXPORT_NAME Mbox
)

install(TARGETS KF5Mbox EXPORT KF5MboxTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KMbox_CamelCase_HEADERS
  HEADER_NAMES
  MBox
  MBoxEntry
  PREFIX KMbox
  REQUIRED_HEADERS KMbox_HEADERS
)

install(FILES
    ${KMbox_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox/KMbox/
    COMPONENT Devel
)


install(FILES
  ${KMbox_BINARY_DIR}/src/kmbox_export.h
  ${KMbox_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox/kmbox
    COMPONENT Devel
)


ecm_generate_pri_file(BASE_NAME Mbox LIB_NAME KF5Mbox DEPS "Mime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## kmbox 15.08.2

=== debian/changelog ===
kmbox (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:33:58 +0100

kmbox (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:07:52 +0100

kmbox (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:30:22 +0100

kmbox (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:34:10 +0100

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libboost-dev,
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5mime-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmbox.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmbox.git

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5mbox5 (= ${binary:Version}), ${misc:Depends}
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5mbox-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}), ${misc:Depends}
Description: library for handling mbox mailboxes - debug symbols
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5mbox-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmbox 15.12.3

=== debian/changelog ===
kmbox (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:33:42 -0700

kmbox (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Bump build depend version on pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:51:58 +0100

kmbox (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:15 +0100

kmbox (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:03:12 +0000

kmbox (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:28 +0200

kmbox (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 19:15:36 +0200

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               libboost-dev,
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5mime-dev (>= 15.12.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmbox.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmbox.git

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 4.79.0~),
         qtbase5-dev,
         ${misc:Depends}
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kmbox 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KMbox)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,12 +14,12 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.12.0")
-set(KMBOX_LIB_VERSION "4.79.0")
-set(KMIME_LIB_VERSION "4.79.0")
+set(KF5_VERSION "5.19.0")
+set(KMBOX_LIB_VERSION "5.2.2")
+set(KMIME_LIB_VERSION "5.2.0")
 
 ecm_setup_version(${KMBOX_LIB_VERSION} VARIABLE_PREFIX KMBOX
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h"

=== debian/changelog ===
kmbox (16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 11:11:39 +0200

kmbox (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:48:28 +0200

kmbox (15.12.0-2) experimental; urgency=medium

  * Update symbols files from buildds logs (15.12.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 09 Feb 2016 20:56:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
+               extra-cmake-modules (>= 5.19.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5mime-dev (>= 15.12.1~),
+               libkf5mime-dev (>= 5.2.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/kmbox
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmbox.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmbox.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmbox.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmbox.git
 
 Package: libkf5mbox-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 4.79.0~),
+         libkf5mime-dev (>= 5.2.0~),
          qtbase5-dev,
          ${misc:Depends}
 Description: library for handling mbox mailboxes - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mbox-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmbox 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 include(ECMQtDeclareLoggingCategory)
 
 set(KF5_VERSION "5.19.0")
-set(KMBOX_LIB_VERSION "5.2.2")
+set(KMBOX_LIB_VERSION "5.2.3")
 set(KMIME_LIB_VERSION "5.2.0")
 
 ecm_setup_version(${KMBOX_LIB_VERSION} VARIABLE_PREFIX KMBOX

=== debian/changelog ===
kmbox (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version install file 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:37:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libboost-dev,
-               libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5mime-dev (>= 5.2.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5mime-dev (>= 16.04.3~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmbox
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmbox.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmbox.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
 
 Package: libkf5mbox-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 5.2.0~),
+         libkf5mime-dev (>= 16.04.3~),
          qtbase5-dev,
          ${misc:Depends}
 Description: library for handling mbox mailboxes - development files

## kmbox 17.04.3

=== debian/changelog ===
kmbox (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:43 +0100

kmbox (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5mime-dev (>= 16.04.3~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5mime-dev (>= 17.04.3~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmbox
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
 
 Package: libkf5mbox-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 16.04.3~),
-         qtbase5-dev,
+         libkf5mime-dev (>= 17.04.3~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library for handling mbox mailboxes - development files
  This is a library for handling mailboxes in mbox format, using a Qt/KMime C++

## kmbox 17.12.3

=== debian/changelog ===
kmbox (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:38 +0000

kmbox (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking libkf5mbox-dev as Multi-Arch: same
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:12 +0000

kmbox (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5mime-dev (>= 17.12.3~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
@@ -19,9 +19,9 @@
 Package: libkf5mbox-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 17.04.3~),
+         libkf5mime-dev (>= 17.12.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library for handling mbox mailboxes - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5mbox-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmbox 18.04.3

=== debian/changelog ===
kmbox (18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install debug categories file
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 18.04.3~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmbox
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
@@ -21,9 +21,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 17.12.3~),
+         libkf5mime-dev (>= 18.04.3~),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library for handling mbox mailboxes - development files
  This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
  API.

## kmbox 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(KMbox VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.47.0")
find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)



set(KMBOX_LIB_VERSION ${PIM_VERSION})
set(KMIME_LIB_VERSION "5.9.3")

ecm_setup_version(PROJECT VARIABLE_PREFIX KMBOX
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Mbox")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MboxConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MboxConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MboxTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MboxTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)

install( FILES kmbox.renamecategories kmbox.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmbox (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:27 +0100

kmbox (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * New upstream release (18.08.1).
  * Follow stable releases in KDE again.
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:14 +0200

kmbox (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:20 +0200

kmbox (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:04 +0200

kmbox (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Enable build tests.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:39 +0100

kmbox (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Mark libkf5mbox-dev corretly as Multi-Arch: same.
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:56:29 +0100

kmbox (17.08.0-1) experimental; urgency=medium

  * New revision
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:13:11 +0200

kmbox (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:37:10 +0000

kmbox (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:40 +0000

kmbox (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:35 +0000

kmbox (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:20:58 +0000

kmbox (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:43 +0000

kmbox (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:23 +0000

kmbox (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:25 +0000

kmbox (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:20:19 +0000

kmbox (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:28:55 +0000

kmbox (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:31 +0000

kmbox (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:27 +0000

kmbox (16.08.1-1~1.gbp8ff99a) UNRELEASED; urgency=medium

  ** SNAPSHOT build @8ff99a8823c3a527af272041fad922b15f423273 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @91d899f3fd751864c94ce005a9f2015a67dd5e1f **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 00:45:36 +0200

kmbox (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:10 +0000

kmbox (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:01 +0000

kmbox (16.07.80-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 27 Jul 2016 16:44:13 +0000

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5mime-dev (>= 18.08.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmbox
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmbox.git

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 18.08.3~),
         qtbase5-dev,
         ${misc:Depends},
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Breaks: kdepim-runtime (<< 4:17.08), libkf5messageviewer5 (<< 4:17.08)

## kmbox 18.12.3

=== debian/changelog ===
kmbox (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:17 +0100

kmbox (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:54 +0000

kmbox (18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:13:51 +0000

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 18.12.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 18.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kmbox 19.04.3

=== debian/changelog ===
kmbox (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:55:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
@@ -21,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
 Description: library for handling mbox mailboxes - development files

## kmbox 19.08.3

=== debian/changelog ===
kmbox (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:47 +0100

kmbox (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:27 +0100

kmbox (18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:51 +0100

kmbox (18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:04:57 +0200

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5mime-dev (>= 19.08.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmbox
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmbox.git

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 19.08.3~),
         qtbase5-dev,
         ${misc:Depends}
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mbox-dbg (<= 15.12.0-1~~)'

## kmbox 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,29 +1,30 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.13.3")
 
 project(KMbox VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.47.0")
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+set(KF5_MIN_VERSION "5.63.0")
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 
 
 
 set(KMBOX_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.13.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KMBOX
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h"
@@ -33,10 +34,13 @@
 
 ########### Find packages ###########
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
+endif()
+
+add_definitions(-DQT_NO_FOREACH)
 
 ########### Targets ###########
 add_subdirectory(src)
@@ -69,6 +73,6 @@
    COMPONENT Devel
 )
 
-install( FILES kmbox.renamecategories kmbox.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES kmbox.renamecategories kmbox.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmbox (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:58:40 +0100

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 19.12.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 19.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmbox-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmbox-([\d.]+).tar.xz

## kmbox 20.08.1

=== debian/changelog ===
kmbox (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:55:48 +0100

kmbox (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
@@ -21,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mbox5 (= ${binary:Version}),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
 Description: library for handling mbox mailboxes - development files

## kmbox 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 project(KMbox VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -24,7 +24,7 @@
 
 
 set(KMBOX_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "5.13.3")
+set(KMIME_LIB_VERSION "5.15.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KMBOX
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmbox_version.h"
@@ -35,12 +35,13 @@
 ########### Find packages ###########
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### Targets ###########
 add_subdirectory(src)
@@ -73,6 +74,4 @@
    COMPONENT Devel
 )
 
-install(FILES kmbox.renamecategories kmbox.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,11 @@
     mbox.cpp
 )
 
-ecm_qt_declare_logging_category(kmbox_SRCS HEADER kmbox_debug.h IDENTIFIER KMBOX_LOG CATEGORY_NAME log_kmbox)
+ecm_qt_declare_logging_category(kmbox_SRCS HEADER kmbox_debug.h IDENTIFIER KMBOX_LOG CATEGORY_NAME org.kde.pim.kmbox
+        OLD_CATEGORY_NAMES log_kmbox
+        DESCRIPTION "kmbox (pim lib)" EXPORT KMBOX)
+
+
 
 add_library(KF5Mbox ${kmbox_SRCS})
 
@@ -51,6 +55,6 @@
     COMPONENT Devel
 )
 
-
+ecm_qt_install_logging_categories(EXPORT KMBOX FILE kmbox.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 ecm_generate_pri_file(BASE_NAME Mbox LIB_NAME KF5Mbox DEPS "Mime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KMbox)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kmbox (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:47 +0100

kmbox (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:17 +0200

kmbox (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:28 +0200

kmbox (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/kmbox.categories, and
    /etc/xdg/kmbox.renamecategories conffiles.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 22:04:32 +0200

kmbox (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:54 +0200

kmbox (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (20.04.0).
  * Enable hardening all.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:22:34 +0200

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5mime-dev (>= 20.08.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kmbox
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmbox
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmbox.git
Rules-Requires-Root: no

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 20.08.3~),
         qtbase5-dev,
         ${misc:Depends}
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}

## kmbox 20.12.3

=== debian/changelog ===
kmbox (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:22:34 +0000

kmbox (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:17 +0000

kmbox (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:11:32 +0000

kmbox (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:29:31 +0000

kmbox (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:53:46 +0000

=== debian/control ===
Source: kmbox
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 20.12.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kmbox
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmbox

Package: libkf5mbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mbox5 (= ${binary:Version}),
         libkf5mime-dev (>= 20.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: library for handling mbox mailboxes - development files
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package contains the development files.

Package: libkf5mbox5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.
